> ## Documentation Index
> Fetch the complete documentation index at: https://www.illusory.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Proxies

> Removes one or more proxy servers from the account.

Removes the specified proxy servers from your account.

<Warning>
  This action is irreversible. Once removed, you will not be able to recover the proxy servers unless you purchase
  them again. Use this action with caution.
</Warning>


## OpenAPI

````yaml DELETE /v1/proxies/remove
openapi: 3.0.1
info:
  title: Illusory API Reference
  description: Interact with Illusory proxies
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cmd.illusory.io
security: []
paths:
  /v1/proxies/remove:
    delete:
      description: Removes one or more proxy servers from the account.
      requestBody:
        description: Remove proxy details
        content:
          application/json:
            schema:
              type: object
              properties:
                proxies:
                  type: array
                  description: List of proxy names to remove
                  items:
                    type: string
                    example:
                      - ILL-US-AU1-9999
                      - ILL-US-AU1-9998
              required:
                - proxies
      responses:
        '202':
          description: Server response
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                    description: Indicates whether the request was successful e.g., `true`
                  message:
                    type: string
                    description: Success message
                    example: >-
                      Requested proxy removal successfully. The proxy will be
                      removed shortly.
                  data:
                    $ref: '#/components/schemas/proxy-remove'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    proxy-remove:
      type: object
      properties:
        proxies:
          type: array
          description: List of proxies removed
          items:
            type: string
            example:
              - ILL-US-AU1-9999
              - ILL-US-AU1-9998
    Error:
      type: object
      properties:
        ok:
          type: boolean
          description: Indicates the request was unsuccessful e.g., `false`
        data:
          type: object
          description: Additional error data
          properties:
            proxy_name:
              type: string
              description: Unique identifier of the proxy server
        message:
          type: string
          description: Error message
      example:
        ok: false
        data:
          proxy_name: ILL-US-AU1-9999
        message: Proxy not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: apiKey
      description: >-
        The `Authorization` header is used to authenticate with the API using
        your `Master` API key. Value is of the format `Bearer YOUR_KEY_HERE`.

````